#!/usr/bin/env python
# -*- mode: python; coding: koi8-r; -*-
#
#         config-

import sys, os
import shelve
from ConfigParser import ConfigParser

rc_file = os.path.expanduser('~/.pybr/ornamentbook.rc')
config_file = os.path.expanduser('~/.pybr/ornamentbook.conf')

try:
    sh = shelve.open(rc_file)
except IOError, err:
    sys.exit('ERROR: can\'t open rc file: %s: %s\n' % (rc_file, err[1]))

width = sh['width']
height = sh['height']
recent_files = sh['recent_files']
left_page_right_margin = sh['left_page_right_margin']
right_page_left_margin = sh['right_page_left_margin']
left_page_left_margin = sh['left_page_left_margin']
right_page_right_margin = sh['right_page_right_margin']
top_margin = sh['top_margin']
bottom_margin = sh['bottom_margin']
tabs_width = sh['tabs_width']
font = sh['font']
foreground_color = sh['foreground_color']
skin = sh['skin']
single_column = sh['single_column']
percent_x_pos = sh['percent_x_pos']
percent_y_pos = sh['percent_y_pos']
clock_x_pos = sh['clock_x_pos']
clock_y_pos = sh['clock_y_pos']

sh.close()

cf = ConfigParser()
cf.add_section('main')

cf.set('main', 'width', width)
cf.set('main', 'height', height)
cf.set('main', 'left_page_right_margin', left_page_right_margin)
cf.set('main', 'right_page_left_margin', right_page_left_margin)
cf.set('main', 'left_page_left_margin', left_page_left_margin)
cf.set('main', 'right_page_right_margin', right_page_right_margin)
cf.set('main', 'top_margin', top_margin)
cf.set('main', 'bottom_margin', bottom_margin)
cf.set('main', 'tabs_width', tabs_width)
cf.set('main', 'font', font)
cf.set('main', 'foreground_color', foreground_color)
cf.set('main', 'skin', skin)
cf.set('main', 'single_column', single_column)
cf.set('main', 'percent_x_pos', percent_x_pos)
cf.set('main', 'percent_y_pos', percent_y_pos)
cf.set('main', 'clock_x_pos', clock_x_pos)
cf.set('main', 'clock_y_pos', clock_y_pos)
cf.set('main', 'file_select_path', os.path.expanduser('~/'))
cf.set('main', 'num_recent_files', 40)

i = 0
for r in recent_files:
    filename, line, index, encoding = r[0], r[1], r[2], r[3]
    section = 'recent%d' % i
    cf.add_section(section)
    cf.set(section, 'filename', filename)
    cf.set(section, 'line', line)
    cf.set(section, 'index', index)
    cf.set(section, 'encoding', encoding)
    cf.set(section, 'lang', 'ru')
    i+=1

cf.write( open(config_file, 'w') )

