#!/usr/bin/env python
# -*- mode: python; coding: koi8-r -*-

import sys
import os
from distutils.core import setup, Extension
from distutils.command.install_data import install_data

from ornamentbook.version import program_version

class my_install_data(install_data):
    # for install data files to library dir
    def run(self):
        #need to change self.install_dir to the actual library dir
        install_cmd = self.get_finalized_command('install')
        self.install_dir = getattr(install_cmd, 'install_lib')
        return install_data.run(self)

setup(
    name = 'OrnamentBook',
    version = program_version,
    url = 'http://pybookreader.narod.ru/',
    author = 'Con Radchenko',
    author_email = 'pybookreader@narod.ru',
    description = 'BookReader...',
    license = 'GPL',
    scripts = ['ob'],
    packages = ['ornamentbook'],
    cmdclass = {'install_data': my_install_data},
    data_files = [ ('ornamentbook',
                    ['ornamentbook/ornamentbook.glade',
                     'ornamentbook/propsdialog.glade']),
                   ('ornamentbook/skins',
                    ['ornamentbook/skins/golden.jpg']),
                   ('ornamentbook/hyph_dicts',
                    ['ornamentbook/hyph_dicts/hyph_de.dic',
                     'ornamentbook/hyph_dicts/hyph_en.dic',
                     'ornamentbook/hyph_dicts/hyph_es.dic',
                     'ornamentbook/hyph_dicts/hyph_fr.dic',
                     'ornamentbook/hyph_dicts/hyph_it.dic',
                     'ornamentbook/hyph_dicts/hyph_ru.dic',
                     'ornamentbook/hyph_dicts/hyph_uk.dic',
                     'ornamentbook/hyph_dicts/langs.txt',
                     'ornamentbook/hyph_dicts/README.ru']),
                   ],
    )

